/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2004 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.ui.helpers;

import org.apache.log4j.Logger;
import com.silverwrist.venice.ui.*;

public class SessionKiller implements AutoCleanup
{
  /*--------------------------------------------------------------------------------
   * Static data members
   *--------------------------------------------------------------------------------
   */

  private static Logger logger = Logger.getLogger(SessionKiller.class);

  /*--------------------------------------------------------------------------------
   * Attributes
   *--------------------------------------------------------------------------------
   */

  private final VeniceUISession m_sess;

  /*--------------------------------------------------------------------------------
   * Constructor
   *--------------------------------------------------------------------------------
   */

  public SessionKiller(VeniceUISession sess)
  {
    m_sess = sess;

  } // end constructor

  /*--------------------------------------------------------------------------------
   * Implementations from interface AutoCleanup
   *--------------------------------------------------------------------------------
   */

  public void cleanup()
  {
    if (logger.isDebugEnabled())
      logger.debug("SessionKiller killing session " + m_sess.getID());
    m_sess.invalidate();

  } // end cleanup

} // end class SessionKiller
